#include "pixmapnode.h"

pixmapnode::pixmapnode(char *fl, xutil *xu, pixmapnode *prev, 
			pixmapnode *nxt) {
	file=new char[strlen(fl)+1];
	strcpy(file, fl);
	previous=prev;
	next=nxt;
	xutility=xu;
	xutility->CreatePixmap(&pixmap, 52, 53);
	xutility->LoadPixmapOntoPixmap(&pixmap, fl, 52, 53);
}

pixmapnode::~pixmapnode() {
	XFreePixmap(xutility->display, pixmap);
	delete[] file;
}
